0% Interest for 24 Months! Learn more »
(800) 222-4700
  • Español: (800) 222-4701
Cart
Microphone Month

Why Doesn’t Old Software Work with Lion?

Q: I have some older versions of Mac software, such as Microsoft Word, Band in a Box, and others, that stopped working when I upgraded to Lion (OS X 10.7). Do I have to update them, or did I miss something in the OS upgrade?

A: With Lion, OS X no longer supports Rosetta, which was required to run Power PC coded versions of Mac software. Lion requires software that runs using Intel code. Any older, PPC software that needed Rosetta to work will have to be updated to a Lion-compatible version.

The software packages that you mention, along with most other titles, offer Lion-compatible versions.

Share this Article